@import 'vars';

*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  margin: 0;
}

.theme {
  color: $color-text-body;
  background: $color-white;
  font-family: $font-family;
}






h1 {
  margin: 0;
  font-size: 25px;
  font-weight: 400;
  text-align: center;
  color: $color-grey-full;
  font-family: $font-family;
}

.accent {
  height: 295px;
  background: $gradient-light-full;
  box-shadow: 0 3px 16px rgba(0,0,0,.41);
}

.profile-photo {
  padding: 6px;
  width: 200px;
  height: 200px;
  text-align: center;
  border-radius: 50%;
  margin: 240px auto 0;
  animation-name: fadeIn;
  animation-duration: .9s;
  background: $gradient-full-light;
  box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.44);

  img {
    width: 100%;
    border-radius: 50%;
  }
}

@keyframes fadeIn {
  from {
    opacity: .9;
    transform: scale(.9);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
}

.info  {
  margin: 0 auto;
  display: block;
  overflow: hidden;
  max-width: 750px;
  padding: 0 20px 15px;

}

label,
input,
textarea {
}

label {
  width: 100%;
  display: block;
  font-size: 15px;
  margin-top: 5px;
  font-family: $font-family;
  color: $color-input-text;
  padding: 5px 14px;
}

hr {
  margin-top:0px;
  height: 1.5px;

  background-image: linear-gradient(to right,  rgba(161, 159, 159,1),rgba(48, 43, 43,0));

  border: 0;

}

input,
textarea {
  border: none;
  font-size: 15px;
  margin-top: 5px;
  padding: 10px 14px;
  border-radius: 10px;
  font-family: inherit;
  color: $color-input-text;
  background-color: $color-input-bg;

  &:focus {
    outline: none;
    box-shadow: 0 0 4px 4px $color-peach-full;
  }
}

textarea {
  height: 150px;
  resize: vertical;
}

button.cta-primary {
  z-index: 1;
  height: 88px;
  float: right;
  border: none;
  width: 272px;
  padding: 0 20px;
  font-size: 35px;
  margin-top: 32px;
  font-weight: 700;
  overflow: hidden;
  line-height: 88px;
  position: relative;
  color: $color-white;
  transition: .2s all;
  border-radius: 40px;
  background: transparent;
  box-shadow: 0px 3px 13.28px 2.72px rgba(0, 0, 0, 0.41);

  &:before,
  &:after {
    top: 0;
    left: 0;
    content: '';
    z-index: -1;
    width: 100%;
    height: 100%;
    position: absolute;
    transition: inherit;
    transition: .3s all;
  }

  &:before {
    opacity: 0;
    background: $gradient-full-light;
  }

  &:after {
    opacity: 1;
    background: $gradient-light-full;
  }

  &:hover:before {
    opacity: 1;
  }

  &:hover:after {
    opacity: 0;
  }

  &:active {
    box-shadow: none;
  }
}
